"""
Utils package. Provides modules with help functions and classes.

Modules
-------
chan_sandberg_vese
    Function to apply Chan-Sandberg-Vese method to vector valued images.
color_maps
    Classes and functions to create matplotlib color maps.
colors
    Functions to create color used for color_maps.
common
    Diverse functions to select file or directory and normalize spectra for visualization.
data
    Classes to represent data.
errors
    Errors raised by package functions.
files
    Functions to interact with files.
metrics
    Classes that can be used to evaluate results.
plot
    Define functions to plot results.
simplisma
    Define a function to apply Simplisma (Winding et al. 1991) algorithm at an array of spectra.
types
    Define aliases to type for code hint.
"""